kind: pipeline
name: default
steps:
  - name: build
    image: node:14
    commands:
      - npm config set registry http://registry.npm.taobao.org
      - npm config set sass_binary_site https://npm.taobao.org/mirrors/node-sass/
      - npm config set electron_mirror https://npm.taobao.org/mirrors/electron/
      - npm i
      - npm run build:stage
      - pwd
      - ls -la
  - name: removeFiles
    image: appleboy/drone-ssh
    settings:
      host: deploy.iamsee.com
      username: root
      password: $jgkj001
      debug: true
      script:
        - cd /www/wwwroot/railway-web.iamsee.com/release
        - pwd
        - chattr -i dist/.user.ini
        - rm -rf dist
  - name: scp_files
    image: appleboy/drone-scp
    settings:
      host: 172.17.0.1
      username: root
      password: $jgkj001
      debug: true
      target: /www/wwwroot/railway-web.iamsee.com/release
      source: dist
      rm: true
  - name: deploy
    image:  appleboy/drone-ssh
    settings:
      host: deploy.iamsee.com
      username: root
      password: $jgkj001
      debug: true
      script:
        - export PATH=/usr/local/bin:$PATH
        - echo $PATH
volumes:
  - name: cache # The name use in this pipeline,
    host:
      path: /tmp/cache # The path be used in the host.
  - name: dockersock
    host:
      path: /var/run/docker.sock
